summaryrefslogtreecommitdiff
path: root/makepackagebin.sh
diff options
context:
space:
mode:
authorJörg Frings-Fürst <debian@jff-webhosting.net>2015-11-06 05:38:49 +0100
committerJörg Frings-Fürst <debian@jff-webhosting.net>2015-11-06 05:38:49 +0100
commit9491825ddff7a294d1f49061bae7044e426aeb2e (patch)
tree06e651099f87140ec534ae47fb8ce1ac6ec7976d /makepackagebin.sh
parentfa756339d4204bff7f2820067f58214d32780d17 (diff)
Imported Upstream version 1.8.3
Diffstat (limited to 'makepackagebin.sh')
-rwxr-xr-x[-rw-r--r--]makepackagebin.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/makepackagebin.sh b/makepackagebin.sh
index 1b8db28..2b846ba 100644..100755
--- a/makepackagebin.sh
+++ b/makepackagebin.sh
@@ -1,6 +1,8 @@
#!/bin/sh
echo "Script to invoke Jam and then package the binary release."
+# Must use this rather than "jam -q" to ensure builtin libraries are used.
+
# Typical environment variables:
# (NOTE some systems don't export these ENV vars. by default !!!)
#
@@ -51,7 +53,7 @@ rm -f bin/*.exe bin/*.dll
rm -f ref/*.sp ref/*.cht ref/*.ti2
# Make sure it's built and installed
-if ! jam -q -fJambase -j${NUMBER_OF_PROCESSORS:-2} -sBUILTIN_TIFF=true -sBUILTIN_JPEG=true install ; then
+if ! jam -q -fJambase -j${NUMBER_OF_PROCESSORS:-2} -sBUILTIN_TIFF=true -sBUILTIN_JPEG=true -sBUILTIN_PNG=true -sBUILTIN_Z=true -sBUILTIN_SSL=true install ; then
echo "Build failed!"
exit 1
fi
@@ -161,6 +163,7 @@ if [ X$USETAR = "Xtrue" ] ; then
tar -czvf $PACKAGE $TOPDIR
# tar -xzf to extract
# tar -tzf to list
+ # Should we use "COPYFILE_DISABLE=1 tar .." on OS X ??
else
zip -9 -r $PACKAGE $TOPDIR
# unzip to extract